package com.centreproject.system.service.job.context;

import org.springframework.stereotype.Component;

/**
 * Integer 类型转换器
 * @author zhonglei.xu
 */
@Component
public class IntegerConverter implements TypeConverter<Integer> {
    @Override
    public Integer convert(String defaultValue) {
        return Integer.parseInt(defaultValue);
    }

    @Override
    public Class<Integer> getTargetType() {
        return Integer.class;
    }
}